#!/bin/sh


OS_TYPE=$(uname)
ACCESS_KEY=$1
SERVER_IP=$2
CONF="/usr/whatap/infra/conf/whatap.conf"

# 운영체제에 따른 패키지 설치
if [ "$OS_TYPE" = "SunOS" ]; then
    echo "OS : SunOS"
    exit 1
elif [ "$OS_TYPE" = "HP-UX" ]; then
    echo "OS : HP-UX" 
    # swagentd 프로세스 확인
    PROCESS_COUNT=$(ps -ef | grep swagentd | grep -v grep | wc -l)

    # 프로세스 개수가 1 미만인지 확인
    if [ "$PROCESS_COUNT" -lt 1 ]; then
        echo "swagentd check fail"
        echo "please execute '/usr/sbin/swagentd -r'"
        exit 1
    else
        echo "swagentd check ok"
        CURRENT_DIR=$(pwd)
        TARGET_DEPOT=$(find ./ -type d -name "*depot")
        TARGET_PATH="$CURRENT_DIR/$TARGET_DEPOT"
        echo "$TARGET_PATH"
 
        swinstall -s "$TARGET_PATH" whatap-infra 
        
        if [ -f "$CONF" ]; then
            echo "File $CONF exists."
            echo "Do you want to overwrite the file? (y/n):"
            read USER_INPUT

            if [ "$USER_INPUT" = "y" ] || [ "$USER_INPUT" = "Y" ]; then
                CREATED_TIME=`perl -e 'use Time::HiRes qw(gettimeofday); ($seconds, $microseconds) = gettimeofday; print ($seconds * 1000 + int($microseconds / 1000)), "\n";'`
                rm $CONF
                echo "license=$ACCESS_KEY" | tee $CONF
                echo "whatap.server.host=$SERVER_IP" | tee -a $CONF
                echo "createdtime=$CREATED_TIME" | tee -a $CONF
            else
                echo "File not deleted."
            fi
        else
            CREATED_TIME=`perl -e 'use Time::HiRes qw(gettimeofday); ($seconds, $microseconds) = gettimeofday; print ($seconds * 1000 + int($microseconds / 1000)), "\n";'`
            echo "license=$ACCESS_KEY" | tee $CONF
            echo "whatap.server.host=$SERVER_IP" | tee -a $CONF
            echo "createdtime=$CREATED_TIME" | tee -a $CONF
        fi

        echo "Install Complete."
    fi
else
    echo "Unsupported OS: $OS_TYPE"
    exit 1
fi
